#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash,
    Copy
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct IllegalEventLimitRequested {
    #[serde(rename = "requestedEventLimit")]
    requested_event_limit: i32,
}
impl IllegalEventLimitRequested {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(requested_event_limit: i32) -> Self {
        Self::builder().requested_event_limit(requested_event_limit).build()
    }
    #[inline]
    pub fn requested_event_limit(&self) -> i32 {
        self.requested_event_limit
    }
}
impl conjure_error::ErrorType for IllegalEventLimitRequested {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "Scout:IllegalEventLimitRequested"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["requestedEventLimit"]
    }
}
